# DOMDocument.hpp File Reference

`#include <xercesc/util/XercesDefs.hpp>`
`#include <xercesc/dom/DOMNode.hpp>`
`#include <xercesc/dom/DOMDocumentRange.hpp>`
`#include <xercesc/dom/DOMDocumentTraversal.hpp>`
`#include <xercesc/dom/DOMXPathEvaluator.hpp>`

Include dependency graph for DOMDocument.hpp:

Go to the source code of this file.

## Namespaces

namespace | xercesc

## Classes

class | xercesc::DOMDocument
| The `DOMDocument` interface represents the entire XML document. More...